import 'package:flutter/material.dart';

class SecondScreen extends StatefulWidget {
  SecondScreen({Key? key}) : super(key: key);

  @override
  State<SecondScreen> createState() => _SecondScreenState();
}

class _SecondScreenState extends State<SecondScreen> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(
        top: (MediaQuery.of(context).size.height > 600)
            ? (MediaQuery.of(context).size.height / 4) + 30
            : 0,
      ),
      child: Scaffold(
        appBar: AppBar(
          title: Text('second screen'),
        ),
        body: Center(
          child: SizedBox(
            height: 200,
            width: 200,
            child: ElevatedButton.icon(
              onPressed: () {
                Navigator.pop(context);
              },
              icon: Icon(Icons.arrow_back),
              label: Text('Back'),
            ),
          ),
        ),
      ),
    );
  }
}
